## groovy.swing.factory
Class ActionFactory

author:
  Danno Ferrin

Constructor Summary
`ActionFactory()`

Method Summary
`String` | `capitalize(String text)`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object action, Map attributes)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object action)`

Constructor Detail

### ActionFactory

    ActionFactory()

Method Detail

### capitalize

    String capitalize(String text)

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### onHandleNodeAttributes

    public boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object action, Map attributes)

### setParent

    public void setParent(FactoryBuilderSupport builder, Object parent, Object action)